#ifndef _DSP_FILTER_H
#define _DSP_FILTER_H
typedef struct 
{
    int numpoles;
    double gain;
    double xcoeffs[21], ycoeffs[21];
    double x[21], y[21];
} t_filter;

#define FILTER_LP 	0
#define FILTER_HP 	1
#define FILTER_BP 	2

extern void filter_butterworth(t_filter *f, int type, int ord, double a1, double a2);
extern void filter_bessel(t_filter *f, int type, int ord, double a1, double a2);
extern void filter_chebyshev(t_filter *f, int type, int ord, double rip, double a1, double a2);
extern double filter_filter(t_filter *f, double in);
#endif